For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
      • GETList Components
      • GETGet Component Content
      • POSTUpdate Component Content
      • GETGet Component Properties
      • POSTUpdate Component Properties
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
Pages and ComponentsComponents

Get Component Properties

GET
https://api.webflow.com/beta/sites/:site_id/components/:component_id/properties
GET
/beta/sites/:site_id/components/:component_id/properties
$curl -G https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/components/8505ba55-ef72-629e-f85c-33e4b703d48b/properties \
> -H "Authorization: Bearer <token>" \
> -d localeId=65427cf400e02b306eaa04a0 \
> -d branchId=68026fa68ef6dc744c75b833 \
> -d limit=100 \
> -d offset=0
1{
2 "componentId": "658205da-a3e8-4206-a523-b5ad4fabcdef",
3 "properties": [
4 {
5 "propertyId": "a245c12d-995b-55ee-5ec7-aa36a6cad623",
6 "type": "Plain Text",
7 "label": "Title",
8 "text": {
9 "html": null,
10 "text": "The Hitchhiker's Guide to the Galaxy"
11 }
12 },
13 {
14 "propertyId": "a245c12d-995b-55ee-5ec7-aa36a6cad627",
15 "type": "Rich Text",
16 "label": "Content",
17 "text": {
18 "html": "<div><h3>Don't Panic!</h3><p>Always know where your towel is.</p></div>",
19 "text": null
20 }
21 }
22 ],
23 "pagination": {
24 "limit": 2,
25 "offset": 0,
26 "total": 2
27 }
28}
Get the default property values of a component definition. <Note>If you do not include a `localeId` in your request, the response will return any properties that can be localized from the Primary locale.</Note> Required scope | `components:read`
Was this page helpful?
Previous

Update Component Properties

Next
Built with

Get the default property values of a component definition.

If you do not include a localeId in your request, the response will return any properties that can be localized from the Primary locale.

Required scope | components:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
component_idstringRequired
Unique identifier for a Component

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Learn more about localization.

branchIdstringOptionalformat: "objectid"
Scope the operation to work on a specific branch.
limitintegerOptional

Maximum number of records to be returned (max limit: 100)

offsetintegerOptional
Offset used for pagination if the results have more than limit records

Response

Request was successful
componentIdstringRead-only
Component ID
propertieslist of objects
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error